Mailinglist Archive: opensuse-packaging (25 mails)

< Previous Next >
[opensuse-packaging] Re: How to include KDE3 repo for Yast2-control-center-qt3 patch development?
Hi David,

If I understand correctly what you want, you have to add some lines to
your project meta config [1]: in the <repository> tags, for example
where you have

<path project="openSUSE:Leap:15.1" repository="standard"/>

add another line

<path project="KDE:KDE3" repository="openSUSE_Leap_15.1"/>

That should include the repository when dependencies are looked up.

Best regards,
Aaron

[1] https://build.opensuse.org/projects/home:drankinatty/meta

Am 02.06.19 um 10:52 schrieb David C. Rankin:
All,

I have patched yast2-control-center-qt3 and I'm trying to build and confirm
the fix for:

https://bugzilla.suse.com/show_bug.cgi?id=1136295

I am attempting to build in my buildservice project:

https://build.opensuse.org/package/show/home:drankinatty/yast2-control-center-qt3

However, every time it gives an "unresolveable" error "nothing provides
qt3-devel" which is located at:

http://download.opensuse.org/repositories/KDE:/KDE3/openSUSE_Leap_15.1/x86_64/qt3-devel-3.3.8c-lp151.151.2.x86_64.rpm

How do I tell buildservice to look in:
repositories/KDE:/KDE3/openSUSE_Leap_15.1/x86_64 ??

I have built packages in the past that use the KDE:/KDE3 repo without issue.
Now for some reason I can't get it to find the repo (or I'm just not smart
enough to tell it how to do it) What's the fix? Has buildservice not been
updated yet to look at all the 15.1 repos?



--
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-packaging+owner@xxxxxxxxxxxx

< Previous Next >
List Navigation
References